org.apache.lucene.index

## Class AssertingLeafReader.AssertingPostingsEnum

- java.lang.Object
- - org.apache.lucene.search.DocIdSetIterator
  - - org.apache.lucene.index.PostingsEnum
    - - org.apache.lucene.index.FilterLeafReader.FilterPostingsEnum
      - - org.apache.lucene.index.AssertingLeafReader.AssertingPostingsEnum

Enclosing class:
  AssertingLeafReader

    public static class AssertingLeafReader.AssertingPostingsEnum
    extends FilterLeafReader.FilterPostingsEnum

Wraps a docsenum with additional checks

### Field Summary

### Fields inherited from class org.apache.lucene.index.FilterLeafReader.FilterPostingsEnum

`in`

### Fields inherited from class org.apache.lucene.index.PostingsEnum

`ALL, FREQS, NONE, OFFSETS, PAYLOADS, POSITIONS`

### Fields inherited from class org.apache.lucene.search.DocIdSetIterator

`NO_MORE_DOCS`

### Constructor Summary

Constructors
Constructor and Description
`AssertingPostingsEnum(PostingsEnum in)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `advance(int target)`
`int` `docID()`
`int` `endOffset()`
`int` `freq()`
`BytesRef` `getPayload()`
`int` `nextDoc()`
`int` `nextPosition()`
`int` `startOffset()`

### Methods inherited from class org.apache.lucene.index.FilterLeafReader.FilterPostingsEnum

`cost`

### Methods inherited from class org.apache.lucene.index.PostingsEnum

`featureRequested`

### Methods inherited from class org.apache.lucene.search.DocIdSetIterator

`all, empty, range, slowAdvance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AssertingPostingsEnum

    public AssertingPostingsEnum(PostingsEnum in)

### Method Detail

#### nextDoc

    public int nextDoc()
                throws IOException

Overrides:
  `nextDoc` in class `FilterLeafReader.FilterPostingsEnum`
Throws:
  `IOException`

#### advance

    public int advance(int target)
                throws IOException

Overrides:
  `advance` in class `FilterLeafReader.FilterPostingsEnum`
Throws:
  `IOException`

#### docID

    public int docID()

Overrides:
  `docID` in class `FilterLeafReader.FilterPostingsEnum`

#### freq

    public int freq()
             throws IOException

Overrides:
  `freq` in class `FilterLeafReader.FilterPostingsEnum`
Throws:
  `IOException`

#### nextPosition

    public int nextPosition()
                     throws IOException

Overrides:
  `nextPosition` in class `FilterLeafReader.FilterPostingsEnum`
Throws:
  `IOException`

#### startOffset

    public int startOffset()
                    throws IOException

Overrides:
  `startOffset` in class `FilterLeafReader.FilterPostingsEnum`
Throws:
  `IOException`

#### endOffset

    public int endOffset()
                  throws IOException

Overrides:
  `endOffset` in class `FilterLeafReader.FilterPostingsEnum`
Throws:
  `IOException`

#### getPayload

    public BytesRef getPayload()
                        throws IOException

Overrides:
  `getPayload` in class `FilterLeafReader.FilterPostingsEnum`
Throws:
  `IOException`